#include <bits/stdc++.h>
using namespace std;

int main(){
ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
int n, k; cin >> n >> k;
int p[n];
for( int i = 0; i < n; i++ ){
    cin >> p[i];
}
int d = 0;
for ( int j = 0; j < n; j++ ){
    if ( p[j-1] == k ){
        break;
    }
    else{
        d++;
    }
}
if ( d != n ){
    cout << p[d];
}
else{
    cout << p[0];
}
return 0;
}